export class Scene {
    // Called when the scene is activated
    onActivate(manager) {
        console.log(`Scene ${this.id} activated`);
    }
    // Called when the scene is deactivated
    onDeactivate() {
        console.log(`Scene ${this.id} deactivated`);
    }
    // Called when the scene is switched to but not yet activated.
    onSwitch(data) {
        this.data = data;
    }
}
